> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smokeball.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a stage on a stage set

> Return the specified stage on the stage set.



## OpenAPI

````yaml /openapi.json get /stagesets/{stageSetId}/stages/{id}
openapi: 3.0.1
info:
  title: API
  version: '1.0'
servers:
  - url: https://api.smokeball.com
  - url: https://api.smokeball.com.au
  - url: https://api.smokeball.co.uk
  - url: https://stagingapi.smokeball.com
  - url: https://stagingapi.smokeball.com.au
  - url: https://stagingapi.smokeball.co.uk
security:
  - api-key: []
    token: []
paths:
  /stagesets/{stageSetId}/stages/{id}:
    get:
      tags:
        - Stages
      summary: Get a stage on a stage set
      description: Return the specified stage on the stage set.
      operationId: GetStageOnStageSet
      parameters:
        - name: stageSetId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: id
          in: path
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: When request is successful. Returns a 'Stage' object.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Stage'
        '400':
          description: When an unsupported request is made.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
        '404':
          description: When stage or stage set with specified id does not exist.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ProblemDetails'
components:
  schemas:
    Stage:
      type: object
      properties:
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
        self:
          allOf:
            - $ref: '#/components/schemas/Link'
          nullable: true
        id:
          type: string
          description: Unique identifier of the stage.
          nullable: true
          example: 45b94df1-1657-48b0-ae81-583b42ed52d6
        versionId:
          type: string
          description: Version id of the record.
          nullable: true
          example: 09d1f360-b810-4a63-acaa-5ed81a551f06
        name:
          type: string
          description: Name of the stage.
          nullable: true
          example: Review contract
        isDeleted:
          type: boolean
          description: True when the stage is deleted.
          example: true
        lastUpdated:
          type: integer
          description: Timestamp when the stage was last updated.
          format: int64
          example: 637847425252027400
      additionalProperties: false
      description: Contains information of a stage in a stage set.
    ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Link:
      type: object
      properties:
        id:
          type: string
          nullable: true
        href:
          type: string
          nullable: true
        relation:
          type: string
          nullable: true
        method:
          type: string
          default: GET
          nullable: true
      additionalProperties: false
  securitySchemes:
    api-key:
      type: apiKey
      name: x-api-key
      in: header
    token:
      type: apiKey
      name: Authorization
      in: header
      x-amazon-apigateway-authtype: cognito_user_pools

````